> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Subreddit 详情

> Subreddit 详情

获取 subreddit 的元数据，包括订阅者数量、描述等。Subreddit 名称区分大小写。

## 示例

```bash theme={null}
curl "https://api.aisa.one/apis/v1/reddit/subreddit/details" \
  -H "Authorization: Bearer YOUR_API_KEY"
```


## OpenAPI

````yaml openapi/zh/reddit.json GET /reddit/subreddit/details
openapi: 3.0.0
info:
  title: Reddit API
  description: 读取 Reddit 公开数据——搜索帖子、浏览 subreddit 以及获取评论。
  version: 1.0.0
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - bearerAuth: []
paths:
  /reddit/subreddit/details:
    get:
      tags:
        - Reddit API
      summary: Subreddit 详情
      description: >-
        按名称或 URL 检索 subreddit 的元数据。subreddit 名称区分大小写。返回
        display_name、description、subscribers、weekly_active_users、weekly_contributions、rules、icon_img、header_img、advertiser_category、submit_text
        和 created_at。
      operationId: get_reddit-subreddit-details
      parameters:
        - name: subreddit
          in: query
          required: false
          description: Subreddit 名称。必须区分大小写。因此应使用 'AskReddit'，而不是 'askreddit'。
          schema:
            type: string
          example: AskReddit
        - name: url
          in: query
          required: false
          description: Subreddit URL
          schema:
            type: string
          example: https://www.reddit.com/r/AbsoluteUnits/
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              example:
                success: true
                credits_remaining: 33950256
                subreddit_id: t5_a7wuv
                display_name: AbsoluteUnits
                weekly_active_users: 1428398
                weekly_contributions: 8923
                rules: >-
                  #ABSOLUTE UNITS


                  ---

                      Be in awe at the size of these lads

                  ---


                  ###[Check out our deep, well-reflected definitions of an
                  absolute
                  unit.](https://www.reddit.com/r/AbsoluteUnits/wiki/index)  
                description: >-
                  Absolute Unit : an Animal or Public Figure, who is larger than
                  we should normally expect.
                header_img: null
                icon_img: >-
                  https://styles.redditmedia.com/t5_a7wuv/styles/communityIcon_t3cspt08bl681.png?width=128&frame=1&auto=webp&s=6f7e59ccf1724bd6c8b3e0d2840c9b21297102c3
                subscribers: 1923642
                advertiser_category: ''
                created_at: '2018-01-05T10:35:24.000Z'
                submit_text: ''
              schema:
                $ref: '#/components/schemas/RedditSubredditDetailsResponse'
components:
  schemas:
    RedditSubredditDetailsResponse:
      type: object
      properties:
        success:
          type: boolean
        credits_remaining:
          type: integer
        subreddit_id:
          type: string
        display_name:
          type: string
        description:
          type: string
        subscribers:
          type: integer
        weekly_active_users:
          type: integer
        weekly_contributions:
          type: integer
        rules:
          type: array
          items:
            type: object
            additionalProperties: true
      additionalProperties: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: AIsa API 密钥。前往 https://aisa.one 获取

````